= SPORTident Config+ Changelog

// tag::latest[]
== 2.12.0 (2026-06-22)

* Show a warning if the latest SPORTident USB Windows driver is not installed
* Do not bundle the outdated SPORTident USB Windows driver, but link to the SPORTident USB Windows driver product page instead
* Remove "handshake" mode for the SRR USB Dongle
* Fix: Regular "serial device" SRR USB Dongles are incorrectly shown as HID devices
// end::latest[]

== 2.11.0 (2021-03-09)

Improvements::

* Updated Danish, French, Italian, Japanese, Hungarian, Portuguese, and Russian translations. A big thank you to our translators!

Other::

* Includes the updated firmware package 2021.03.09

== 2.10.0 (2021-01-18)

Improvements::

* Installer is now multilingual

Bug fixes::

* Config+ and firmware update checks are working again on Windows 7 as well

== 2.9.0 (2021-01-15)

New features::

* None

Improvements::

* The SPORTident USB driver can now be installed from the "Help" menu
* Updated Chinese, Spanish, French and German translations
* The "Open help" (F1) menu item now opens the online SPORTident User Guide in a browser
* Build the installer with WiX toolset instead of Advanced Installer
* Automated build (GitHub Actions) of Config+, the installer, the firmware package and the update packages of Config+ and the firmware package

Bug fixes::

* ConfigPlusPortable now always looks for the ConfigPlus binary and for the app data in the correct location
* Correctly log infos at program startup

Other::

* Installer is currently English only, not multilingual

== 2.8.0 (2020-12-22)

New features::

* None

Improvements::

* Support BSF9 devices with firmware 656
* Ship firmware package with Config+ (previously it was only included in the portable version of Config+)
* Automated build of Config+ with GitHub Actions

Bug fixes::

* Config+ and firmware update checks are working again

Other::

* We no longer offer to install the SPORTident USB driver during setup
* The AppData directory name is now `ConfigPlus` instead of `Config`

== 2.7.0 (2020-02-11)

New features::

* CONFIG-537: support BSF9 and BSM9 devices

Improvements::

* None

Bug fixes::

* None

== 2.6.1 (2020-01-31)

New features::

* None

Improvements::

* CONFIG-534: improve support for FW700 BS8

Bug fixes::

* None

== 2.6.0 (2020-01-30)

New features::

* CONFIG-534: support FW700 for BS8

Improvements::

* None

Bug fixes::

* None

== 2.5.5 (2019-10-22)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-536: fix handling of read card list view

== 2.5.4 (2019-07-29)

New features::

* None

Improvements::

* CONFIG-533: Improve firmware update files support

Bug fixes::

* CONFIG-528: personal data fields for SI-Card5 could contain data although these fields are not supported

== 2.5.3 (2019-04-15)

New features::

* None

Improvements::

* CONFIG-525: Improve BS11 FW700 support
* CONFIG-526: tool tips for code number optimized

Bug fixes::

* CONFIG-530: Message box for XML file trimming did not offer the proper buttons

== 2.5.2 (2019-03-20)

New features::

* None

Improvements::

* CONFIG-524: Improve support for SIAC signal indicator

Bug fixes::

* None

== 2.5.1 (2019-03-18)

New features::

* None

Improvements::

* CONFIG-521: Support station switch off after write for BS11 FW700
* CONFIG-522: Additional improvements to adapt to BS11 FW700
* CONFIG-523: Allow station switch off after write for BS11 FW700

Bug fixes::

* None

== 2.5.0 (2019-03-11)

New features::

* BS11 FW700 and later supported

Improvements::

* CONFIG-493: Allow BS11 display to be flipped
* CONFIG-505: Recommend operating time of 10 minutes for BC Slave
* CONFIG-517: Show device temperature for BS11 FW700 and later
* CONFIG-520: Prevent SI-GSMDN FW111 to start firmware update

Bug fixes::

* CONFIG-519: Disable "Set baudrate" command when target device is remote

== 2.4.4 (2019-02-19)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-516: Battery voltage for BS11 is not shown in all cases

== 2.4.3 (2019-02-04)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-515: SI-Card cannot be personalized in specific scenario

== 2.4.2 (2019-01-28)

New features::

* None

Improvements::

* CONFIG-513: Improve support for new firmware releases
* CONFIG-514: Improve support for new firmware releases (2)

Bug fixes::

* None

== 2.4.1 (2019-01-25)

New features::

* None

Improvements::

* CONFIG-511: Support factory reset for Golfbox

Bug fixes::

* CONFIG-510: System memory of Golfbox could be written in wrong way

== 2.4.0 (2019-01-15)

New features::

* None

Improvements::

* CONFIG-506: New application logo

Bug fixes::

* None

== 2.3.8 (2018-12-21)

New features::

* None

Improvements::

* CONFIG-503: Show battery voltage of GSMDN
* CONFIG-504: BS11 red display of voltage should reach down to 2.5 Volts

Bug fixes::

* CONFIG-508: Application randomly crashes when personalizing SI-Cards

== 2.3.7 (2018-11-23)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-499: Fix several translation issues and missing UI elements
* CONFIG-501: Operating time of 95:59:00 is mistakenly changed to 95:00:00
* CONFIG-502: Operating time of BS11 FW < 700 is not set properly

== 2.3.6 (2018-11-18)

New features::

* None

Improvements::

* CONFIG-492: Reset BS11 settings when upgraded to FW700
* CONFIG-495: Default BS11 beacon mode should be Punching mode (for factory reset)
* CONFIG-496: Assign keyboard shortcut for 'Reset factory default'
* CONFIG-497: Show battery capacity in device overview panel

Bug fixes::

* CONFIG-498: Reading the very first device settings fails to identify a BS11 BS as loop antenna by serial number list

== 2.3.5 (2018-11-13)

New features::

* CONFIG-494: new firmware update package for FW657 released

Improvements::

* None

Bug fixes::

* None

== 2.3.4 (2018-11-12)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-490: Direct operating modes are not allowed on BS11 FW700 but where still offered
* CONFIG-491: Setting should be shown for a device even if the operating mode is not allowed

== 2.3.3 (2018-11-08)

New features::

* CONFIG-327: Support new hardware identifiers for BS11 devices
* CONFIG-454: Support new memory layout for BS11
* CONFIG-479: Support SPORTident Printer

Improvements::

* CONFIG-438: Add warning message for CN other than 1 for operating mode CLEAR
* CONFIG-448: Several improvements to the session dialog
* CONFIG-482: Update layout of printout station to support SPORTident Printer
* CONFIG-483: Factory reset for SPORTident Printer supported
* CONFIG-485: Update layout XML file for printout station to support SPORTident Printer
* CONFIG-487: Capitalize all operating mode phrases
* CONFIG-488: Rename Go4o related contents to O-Starter
* CONFIG-489: Add firmware support for O-Starter devices

Bug fixes::

* CONFIG-478: Course list is not cleared when a new device is connected

== 2.3.2 (2018-09-10)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-476: SI-Card cannot be deleted from the read card list
* CONFIG-477: Firmware update for Golfbox2 via HID interface does not work

== 2.3.1 (2018-09-06)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-475: Export current view crashes the application

== 2.3.0 (2018-09-06)

New features::

* CONFIG-469: Support Golfbox course read and write via CDC interface
* CONFIG-467: Support Golfbox HID interface

Improvements::

* CONFIG-370: Communication with station is handled asynchronously now
* CONFIG-377: Significantly improved speed of UI when reading large lists of SI-Cards

Bug fixes::

* None

== 2.2.15 (2018-08-29)

New features::

* CONFIG-469: Support Golfbox course read and write via CDC interface

Improvements::

* None

Bug fixes::

* None

== 2.2.14 (2018-08-28)

New features::

* CONFIG-460: Support Golfbox settings via CDC interface
* CONFIG-461: Support Golfbox course description via CDC interface

Improvements::

* CONFIG-457: Possibility to allow duplicates in configure cards view
* CONFIG-468: Improve battery warning level for BS11

Bug fixes::

* None

== 2.2.13 (2018-08-24)

New features::

* None

Improvements::

* CONFIG-411: reduce possibilities to set "legacy protocol" for some operating modes
* CONFIG-453: SI-GSMDN: standby time will be set to maximum

Bug fixes::

* None

== 2.2.12 (2018-08-07)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-463: Application crashes with FormatException when exporting full card detail list on Danish computer
* CONFIG-464: Backup memory of readout stations is not parsed correctly for some SI-Card6
* CONFIG-465: Serial number for SRR dongle could be wrong

== 2.2.11 (2018-07-30)

New features::

* None

Improvements::

* CONFIG-462: Include new serial numbers for loop antenna detection

Bug fixes::

* None

== 2.2.10 (2018-07-09)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-459: Battery voltage label could display wrong values for BS7/8

== 2.2.9 (2018-07-05)

New features::

* None

Improvements::

* CONFIG-444: Allow Beacon operating for BS7-P and BS7-S
* CONFIG-456: Prevent misconfiguration of later BS11 firmware versions

Bug fixes::

* CONFIG-450: Application could crash when reading malformed backup memory block

== 2.2.8 (2018-06-01)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-446: Application crashes when reading SI-GSMDN
* CONFIG-447: Device protocol file does not contain all information anymore

== 2.2.7 (2018-05-31)

New features::

* None

Improvements::

* CONFIG-441: Grading of vital parameters for SPORTident devices has been moved into Communication library

Bug fixes::

* CONFIG-440: Reading a device with a unsupported operating mode could lead to UI problems
* CONFIG-442: Personal data from SI-Card was not displayed anymore
* CONFIG-443: Starting the application, the welcome screen was not centered
* CONFIG-445: Reading the backup memory of a station could lead to a crash

== 2.2.6 (2018-05-22)

New features::

* None

Improvements::

* CONFIG-439: Firmware update improvement for Golf box 2

Bug fixes::

* None

== 2.2.5 (2018-05-16)

New features::

* CONFIG-435: Support for Golfbox 2 added

Improvements::

* CONFIG-406: Limited changes to SI-GSMDN device settings to experts only added warning message for wrong configuration, added factory reset feature
* CONFIG-433: SIAC clear counter is checked for reasonable values

Bug fixes::

* CONFIG-415: Application crashes when reading backup memory created by SportOrg software
* CONFIG-419: Printout station baudrate warning is shown even when the printout station is programmed remotely
* CONFIG-429: Download of program and firmware update does not work on Windows XP, removed this feature on Windows XP machines
* CONFIG-430: SIAC Feedback setting fails with exception "InvalidOperationException"
* CONFIG-431: Empty line in log file when the very first log entry of the day was written
* CONFIG-432: SI-GSMDN could not be read in some cases
* CONFIG-434: Crash during backup reading of readout station

== 2.2.4 (2018-04-11)

New features::

* CONFIG-417: Support firmware update for Golf box

Improvements::

* CONFIG-413: Reading SI-Card8 and 9 now always reads both blocks
* CONFIG-414: Improve performance for test view window

Bug fixes::

* CONFIG-412: Backup memory readout of a printout station ignores the mass start time
* CONFIG-418: Serial number range for GOLFident devices is wrong

== 2.2.3 (2018-01-30)

New features::

* None

Improvements::

* CONFIG-410: The operating mode 'SIAC Test' should allow AIR+ settings to be changed

Bug fixes::

* None

== 2.2.2 (2017-11-13)

New features::

* None

Improvements::

* CONFIG-407: SI-Card 10/11 Block 3 is now always read
* CONFIG-409: Warning message is shown when a station is programmed as BC_Finish

Bug fixes::

* CONFIG-408: Printer margins could not be set when printing card details


== 2.2.1 (2017-10-16)

New features::

* None

Improvements::

* CONFIG-400: checking and correcting some SIAC settings automatically
* CONFIG-401: Clear, Clear reserve and Check are intelligently displayed
* CONFIG-405: Clock view can now be opened without checking the devices settings

Bug fixes::

* CONFIG-344: Fixed writing personal data
* CONFIG-395: SI-Card6 with special serial number could not be read
* CONFIG-397: SI-GSMDN: Last block of volatile memory was not read properly
* CONFIG-398: Card.ControlPunches.TimeSi did not contain sub seconds
* CONFIG-399: Some battery values from the backup memory of SIAC battery test were not parsed properly
* CONFIG-403: Auto apply with First name = SIID doesn't work
* CONFIG-404: SIACs could not be read when battery voltage was below 2.5 volts

== 2.2.0 (2017-07-19)

New features::

* CONFIG-25: Now the template of printout station is preserved during firmware update

Improvements::

* CONFIG-287: now showing a message on first startup after the update of Config+ was successful
* CONFIG-356: Disabled operating time for BSM8 (mini reader) as it does not make sense
* CONFIG-358: SI-Card is now always read before it is configured
* CONFIG-372: Improved device protocol file (removed obsolete columns and added new settings)
* CONFIG-381: now reading and parsing past the punch pointer when reading SI-Cards
* CONFIG-384: Improved support for SIAC RSSI (signal indicator)
* CONFIG-391: Mass start time from printout station is shown, can be cleared and is written to the export protocol when writing a full card detail file from the backup memory of the printout station, CSV file is now written with region specific field separator

Bug fixes::

* CONFIG-369: Battery voltage was showing wrong values for BS11 with FW > 320
* CONFIG-382: User could click auto apply although no card config setting was checked
* CONFIG-383: Personal data of ComCardUp were not parsed correctly
* CONFIG-385: Reading SI-GSMDN with corrupt system memory could crash the application
* CONFIG-390: In the backup view, F5 did not "re-read" the backup as expected
* CONFIG-392: SIID was not always written to the SI-Card, when "First name = SIID" was checked
* CONFIG-393: Event log of operating system could be flooded when logger is not able to log to the application log file


== 2.1.2 (2017-06-07)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-374: application could crash when connected device did not reply to reading system data or setting master mode (jSh.Radio support improved)
* CONFIG-378: fixed target device button was disabled for new serial number range of BS7/8 devices


== 2.1.1 (2017-05-08)

New features::

* None

Improvements::

* CONFIG-371: advanced settings are unchecked by default when enabled

Bug fixes::

* None

== 2.1.0 (2017-04-25)

New features::

* CONFIG-365: implemented support for BSF8 go4o station

Improvements::

* CONFIG-362: write address confirmation from station was not verified properly
* CONFIG-363: included new station serial number ranges

Bug fixes::

*  CONFIG-359: fixed config card view UI misbehavior
*  CONFIG-360: fixed target device state getting lost when device is reconnected in read backup view
*  CONFIG-361: after clearing the backup memory, switching to backup view did not re-read the backup memory
*  CONFIG-364: fixed adding sub seconds to empty punch records
*  CONFIG-366: empty punch records are displayed with sub seconds
* CONFIG-367: fixed card personal data encoding for Chinese Simplified


== 2.0.3 (2017-03-28)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-357: Changing personal data in SIAC could reset battery date in some cases

== 2.0.2 (2017-03-17)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-355: Personal data cannot be read or written for ComCardUp

== 2.0.1 (2017-03-10)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-347: Personal data for never SI-Cards was not read properly in some cases
* CONFIG-348: Battery service could reset advanced station settings
* CONFIG-349: Tab order for personal data fields fixed
* CONFIG-350: CharacterSet 'Chinese simplified' not allowed for SI-Cards except Card11 and SIAC

== 2.0.0 (2017-03-08)

New features::

* None

Improvements::

* general improvements to all supported translations
* CONFIG-291: Warning shown, when controls should be programmed with a code number higher than 255 (causes problems with SI-Card5)
* CONFIG-326: product "BS11 loop antenna" is explicitely supported
* CONFIG-343: Additional line separates operating mode "Read SI-Card" for better visibility

Bug fixes::

* CONFIG-333: fixed several problems with localization
* CONFIG-338: Exception could be thrown when exporting list in config card view
* CONFIG-340: Switching from read card view to view punch view without success closes connection
* CONFIG-341: Switching to read cards view does not show card details for highlighted list item
* CONFIG-342: Arrow keys do not work properly in the read card list


== 1.4.0 (2017-02-16)

New features::

* CONFIG-331: New operating mode available: SIAC Test
* CONFIG-334: Support SIAC AIR+ signal indicator

Improvements::

* general improvements to all supported translations
* CONFIG-272: Station will beep when it is woken up during communication to perform battery measurement
* CONFIG-328: Settings only the time to a station will now perform a beep

Bug fixes::

* CONFIG-337: Special characters in card personalization not displayed properly

== 1.3.0 (2017-02-02)

New features::

* None

Improvements::

* general improvements to the UI for multi language support

Bug fixes::

* CONFIG-313: Crash when opening the about dialog
* CONFIG-317: BS11 BS allowed operating mode BC_Slave
* CONFIG-318: Header for SI-GSMDN backup memory list was not translated
* CONFIG-319: Several issues with localization

== 1.2.0 (2017-01-23)

New features::

* CONFIG-89: Support l10n (multi language)
* CONFIG-1: Personalise cards now possible in "Config card" view
* CONFIG-111: Support printer specific conversion of extended ASCII character set

Improvements::

* CONFIG-292: Check and fix SIAC block identifier if required
* CONFIG-293: Check and fix SIAC ALF-ON time if required
* CONFIG-297: Logger performance improved
* CONFIG-282: After programming remotely, the main station will be set to direct automatically
* CONFIG-289: Improved device protocol log file
* CONFIG-295: Side assemblies are now integrated into the main assembly (less files in applications folder)
* CONFIG-301: Merged Common and Communication library for better maintenance
* CONFIG-312: Detail panel width is stored separately for views "Read card" and "Config card"
* CONFIG-290: Battery test prior to reading block 3 is now optional

Bug fixes::

* CONFIG-257: Changed some events to be triggered asynchronously
* CONFIG-273: Advanced setting remains checked/unchecked, after this setting was disabled for a operating mode
* CONFIG-288: Firmware update information could be overwritten by a second instance
* CONFIG-294: View punch for SI-GSMDN required handshake mode to be 'autosend', which was not checked
* CONFIG-305: File logger could not log to Windows application event log
* CONFIG-311: Block 1 for personal data was not read in some circumstances
* CONFIG-280: No need to toggle baudrate for BS11, SI-GSMDN and Dongle
* CONFIG-307: Clear backup command was available for SI-GSMDN although the device does not support this


== 1.1.1 (2016-10-18)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-285: Cannot set operating times higher than 01:35:00 in the text box
* CONFIG-284: Some keyboard shortcuts work even when the command is disabled
* CONFIG-286: Progress overlay window is showing as "FormProgress" in window switch view


== 1.1.0 (2016-10-11)

New features::

* CONFIG-220: Support backup memory reading for SI-GSMDN
* CONFIG-251: Support device on/off for SI-GSMDN

Improvements::

* CONFIG-252: Baudrate 38400 is restored for BSM7-RS232 after firmware boot
* CONFIG-263: Fixed battery warning thresholds according to battery test station
* CONFIG-264: Extended battery usage statistics in test mode
* CONFIG-265: Improved card reading mechanism for SI-Card6 with corrupted pointer
* CONFIG-268: Default operating time for SI-GSMDN is now 96 hours
* CONFIG-271: Warning shown, when code number and operating mode do not follow the recommendations
* CONFIG-272: Initialize battery measurement for a station waking up from standby mode when reading
* CONFIG-274: When invalid operating time is entered, UI feedback is improved now

Bug fixes::

* CONFIG-253: Fixed wrong settings reading for some SI-GSMDN settings
* CONFIG-254: Fixed update check reading wrong remote produt information
* CONFIG-255: Fixed application crash when updating the firmware on SI-GSMDN with HID interface
* CONFIG-256: Fixed application window not flashing after config card executed successfully
* CONFIG-258: Fixed column width not adjusting when 100+ items are in list
* CONFIG-261: Fixed tCard print details layout being messed up
* CONFIG-266: Fixed autosend setting not being available in some BS11 operating modes
* CONFIG-270: Fixed application window not being movable during firmware boot
* CONFIG-275: Fixed keyboard shortcuts being processed although the application window was not in focus
* CONFIG-277: Fixed backup reading initialization
* CONFIG-279: Fixed "show release notes" link label not working properly

== 1.0.0 (2016-06-14)

New features::

* CONFIG-250: detect non updateable devices and improve firmware boot for SI-GSMDN

Improvements::

* None

Bug fixes::

* CONFIG-243: changed CommonFolderPickerDialog as it caused problems with high dpi displays

== 0.9.5 (2016-06-01)

New features::

* CONFIG-246: firmware upgrade SI-GSMDN firmware 1.0 and higher supported

Improvements::

* None

Bug fixes::

* None

== 0.9.4 (2016-06-01)

New features::

* None

Improvements::

* CONFIG-242: clear_r will be explicitly shown in the full card readout export file
* CONFIG-248: additional check introduced for devices and firmware versions that are capable of a firmware upgrade

Bug fixes::

* CONFIG-241: program could crash when trying to perform firmware update after a new device battery has been installed
* CONFIG-247: reading a device remotely and getting a direct reply did not properly switch from "Remote" to "Direct

== 0.9.3 (2016-05-25)

New features::

* None

Improvements::

* None

Bug fixes::

* CONFIG-234: progress bar hid parts of the text in progress window
* CONFIG-235: firmware update check reported a false error in some situations
* CONFIG-237: Full card export showed invalid date for empty records for tCard
* CONFIG-238: SRR dongle configuration could get destroyed when applying the settings


== 0.9.2 (2016-05-10)

New features::

* None

Improvements::

* CONFIG-229: export dialog now keeps last action and save path
* CONFIG-227: autoincrement code number checkbox is now not checked by default and the setting will now be kept over an application restart
* CONFIG-98:  get and set device time in "Clock" view now also reads the device system memory and creates a log entry
* CONFIG-230: view punch now also allows to open the dialog when device does not respond to standard communication protocol

Bug fixes::

* CONFIG-228: fixed some situations where the application could crash when reading the backup memory of a device
* CONFIG-226: capacity bar was showing for the mini reader
* CONFIG-231: main form was not always in focus when progress dialog closed
* CONFIG-232: getting/setting device time while changing device settings created two log entries



== 0.9.0 (2016-04-26)

New features::

* implemented support for SI-GSMDN (COM and HID interface)
* supports settings for SRR Dongle with firmware 450

Improvements::

* changed battery consumption view to a "estimated remaining battery capacity view", counting down from 100 %
* portable Version does not allow to install update from update check dialog anymore to provide accidential full install of the application
* the settings for "do not show again" in dialogs are now kept over an application restart
* reduced timeout for response when measuring SIAC battery to 1000 ms
* now showing a warning message when readout station should have autosend enabled
* view punch is now also available for stations in operating modes "SIAC on", "SIAC off", "SIAC battery test", "SIAC radio readout"
* now hiding battery voltage for USB stations as this value is not accurate
* now forces to set the flag 'SI-Card6 with 192 punches' for operating mode 'Clear' to always fully clear SI-Card6
* now showing production date for SI-Card10/SI-Card11/SIAC in read card details
* now correcting tCard punch year automatically
* progress bar now turns yellow to indicate a communication problem
* reduced retry count for read card block from 5 to 3
* made 'Config card' view available as a toolbar button
* 'Sync device time with computer' in new battery dialog is now checked by default
* command to clear printout station template available
* improved dialog asking to change the operating time
* improved logging of SRR Dongle and GSM-DN devices

Bug fixes::

* fixed "view punch" view not opening because it was forcing some settings for a SRR dongle that are not supported by its firmware version
* fixed: "Config cards" view did not work properly when details panel was hidden in "Read cards" view
* fixed setting the time (for a station after a firmware update) not being accurate enough when there were communication problems with the station
* fixed problems when two or more HID devices are connected at the same time
* fixed: device log file date did not follow when the application was running over midnight
* fixed crash on Windows XP systems when a stations settings was read
* fixed: export full card readout list could export an empty list
* fixed: some firmware files were falsely rejected
* fixed: 'Config card' view not opening after station settings were fixed
* fixed: station did not beep after new battery has been set
* fixed: check for firmware update did not refresh the current firmware view
* fixed: 'Config card' listed the card twice after setting the feedback signal


== 0.8.14 (2016-01-28)

New features::

* None

Improvements::

* new selective feedback default values (for SIAC and Card11)
* new battery dialog will start with a battery usage of 0%
* battery low threshold for SIAC is checked and fixed on card readout if required
* BC_Check record (SIAC >= SW4.3) is evaluated properly
* added 100ms pause between SIAC battery measurement and block 3 read command

Bug fixes::

* fixed a problem where the operating time could be set falsely in the station
* fixed HID dongle disappearing in the list view when another USB device was connected
* fixed possible application crash on startup when the application settings file was corrupt
* fixed possible application crash when the log directory has not been created yet
* fixed "Show device log file" menu item not showing an error message when the log file could not be found
* fixed "LogFileRetentionPolicy" setting having no effect
* fixed portable wrapper not forwarding all command line parameters

== 0.8.13 (2015-10-19)

New features::

* None

Improvements::

Bug fixes::

* fixed SI-Card6* not read properly when more than 64 punches


== 0.8.12 (2015-10-15)

New features::

* None

Improvements::

* consumed battery capacity can be set up to 500 %
* when reading a card, block read retry count has been increased to 5
* Clear backup will now also clear the list of the backup content
* "do you want to program the main station" will now be the first question

Bug fixes::

* fixed list view values of special card types in devices backup memory
* fixed taskbar progress remaining at 100% after a task completed successfully
* fixed: programming a main or printer station remotely asked for "do you really want to program the main station"
* fixed NullReferenceException when reading SIAC in Config card mode
* fixed: export dialog was shown as a separate windows in the task bar
* fixed: firmware boot for BSF8-SRR shows and validates against wrong firmware image (but boots correct one)
* fixed: battery capacity value being destroyed when programming station in batch

== 0.8.11 (2015-09-23)

New features::

* None

Improvements::

* None

Bug fixes::

* fixed battery capacity value not being kept when reprogramming a device
* fixed showing the legacy protocol warning for BS11 in some configurations

== 0.8.10 (2015-08-07)

New features::

* None

Improvements::

* None

Bug fixes::

* included new HID library that fixes the recognition of multiple connected HID devices
* program did not start up on Windows earlier than Windows 7 (due to new taskbar progress indicator)

== 0.8.9 (2015-07-28)

New features::

* backup memory reading of readout station implemented
* backup memory reading of printer station implemented
* backup memory reading of SI-Master station implemented (for > FW595)

Improvements::

* generally improved card readout
* now trying 5 times to boot firmware after the image has been transfered (was 3 previously)
* increased response wait time for SET_MS_MODE to 800 ms
* corrected some spelling mistakes
* export full card list writes empty values at 'Hardware version', 'Software version', 'Clear count', 'Character set' for Card10 because they are not applicable for this card type
* export full card list now writes the card punching pointer at 'No. of records' instead of the count of found valid records (they can differ)
* improved Card6 and Card6* readout: does not rely on autosend blocks anymore, makes readout faster. now ignores "Card6 with 192 punches" setting and .always reads a card depending on its punching pointer
* SI-Card11 does not show voltage anymore
* some UI cleanup
* if an unhandled exception occurs, the application does not crash after the error dialog anymore

Bug fixes::

* program did not start up on Windows earlier than Windows 7 (due to new taskbar progress indicator)
* new device battery mode did not work properly
* connection indicator icon sometimes displayed active connection when the connection was already closed
* factory reset for main station did not finish properly
* Card5 and Card6 owner data was not parsed correctly
* export dialog: file path text box was limited to 50 characters only
* cancelling a process in the UI did not always stop all corresponding threads

== 0.8.2 (2015-07-07)

New features::

* Service mode implemented
* Config card mode implemented

Improvements::

* trying to read device settings with "communication failed" result now allows to "retry"
* improved card readout for Card5
* introduced some additional checks before starting the firmware update (booting same version, voltage check)
* default operating time for SIAC on/off/battery check/radio readout is 10 minutes
* removed eco mode setting for BS7/8 (no longer valid)
* merged SIAC special functions into operating mode combo
* advanced settings are now collapsible
* inverted meaning of extended protocol flag, is now called 'legacy mode'
* progress dialog did not always have focus
* escape key closes progress dialog when progress has completed (successful or with errors)
* showing error message when the device protocol file cannot be written
* when the progress dialog is shown, the window is now movable
* supporting not initialized SIACs
* added switch off instruction in command menu
* added some keyboard shortcuts for some commands
* device protocol file does not contain formatting for battery capacity anymore
* clear_r record displayed instead clear when reading SIAC/Card10/Card11
* log files will be removed after 30 days
* device log file will be split by date
* changed "not available" icon
* reading and writing configuration as default from/to the device will now be logged as "ConfigReadAsDefault" or "ConfigWrittenAsDefault" in device log file
* cancel firmware upgrade will now ask for confirmation
* taskbar progress indicator implemented

Bug fixes::

* fixed: switching back to the settings view after firmware update still showed previous device
* fixed: start number not being read when reading Card5
* fixed: check record code number being wrong when reading Card6
* fixed: 'Check for update' on the firmware panel did not update the information on the current view
* fixed: program did not recognize when the system time zone has changed while it was running and set the time incorrectly
* fixed: connection was accidentally closed when receiving SIAC init record in view punch panel
* fixed: some debug flags did not work as expected
* fixed: if a card read was incomplete (does not appear in the list) and card duplicates where not allowed, it could happen that the card cannot be read again
* fixed: EcoMode settings were not always overwritten when they contained invalid values
* fixed: for some SRR dongles, a backup memory value was displayed
* fixed: some SI-Card6 could not be read if they contained a damaged punching pointer
* fixed: some SIAC v3.2 displayed false subseconds
* fixed: firmware update check did not work properly when running portable version

== 0.7.0 (2015-04-22)

New features::

* firmware update check implemented
* firmware download implemented
* firmware boot to devices implemented
* SIAC > FW400 readout with subseconds supported

Improvements::

* changed program icon
* fixed default button not being selected on some message boxes
* tooltip of item text for device list
* popup delay for toolbox (quick help) changed to 1 second (was 0.5 seconds)
* SRR dongle: when < FW312, protocol combo box default value is now "extended protocol"
* card readout: Card10 does not read block 3 anymore
* improved card readout of faulty card records
* improved reading of faulty backup memory records
* improved card details printout, printer selection from preview dialog is now possible when printing
* improved performance for view punch list when doing SIAC radio readout
* improved information display for view punch list
* log file improvements
* added some system memory values that will be written when doing a factory reset on the device
* main window minimum size set to 640x480 px
* added some hints for senseless settings combinations

Bug fixes::

* fixed: error dumps where not written to application log path
* fixed: auto download and install routine did not work on Windows XP
* fixed: programming a BS11 from a beacon mode with radio flags enabled to a direct mode could lead to a station that does not turn on anymore
* fixed: GetTime instruction was not correct (but still working) [thanks to Simon Harston]
* fixed: SRR Dongle >= FW312, protocol combo box was still disabled when a dongle < FW312 was read before
* fixed: some SI-Card6 could not be read properly
* fixed: sometimes when reading a card has failed, the connection could be closed and you would need to close and re-open the card read view to establish the connection again
* fixed: some menu item had no function
* fixed: some messages boxes did not center on parent form
* fixed: Card6* card readout
* fixed: export dialog, default extention for file selection dialog was XLSX, should have been CSV
* several additional fixes

== 0.6.0 (2015-03-12)

New features::

* read cards implemented
* view punch implemented
* file export from various lists implemented
* default settings feature implemented
* default target device is now "remote" (when available)

Improvements::

* [Enter] key will apply settings to device
* several improvements
* several new settings are saved
* support BS11 >= FW330 'AllowGateMaster' setting

Bug fixes::

* fixed backup memory view: SIID sorting was not numeric
* fixed backup memory view: first column now shows backup memory index
* fixed backup memory view: for backup memory errors, day of week or date is available but was not displayed
* fixed update check: dialog was displayed when auto update check completed with result NoNewVersionFound
* fixed: set time could lead to a crash when the device calendar was faulty
* fixed: clear backup only cleared direct connected device backup
* fixed: Memory leak when reading/programming many stations (OutOfMemoryException)
* several additional fixes

== 0.5.0 (2015-02-10)

New features::

* program update check

Improvements::

* UI improvements

Bug fixes::

* many fixes

== 0.4.0 (2015-01-27)

New features::

* set new device battery
* forth test release

Improvements::

* mainly UI improvements

Bug fixes::

* many fixes

== 0.3.0 (2015-01-14)

New features::

* third test release

Improvements::

*

Bug fixes::

* many fixes

== 0.2.0 (2015-01-14)

New features::

* second test release
* read punch backup memory (extended mode) -> progress reporting, resuming
* read battery test backup memory (extended mode)
* read remote device
* write remote device

Improvements::

* BS11 BS/BL: BC_START, BC_FINISH allow Punching mode to be set/unset

Bug fixes::

* many fixes

== 0.1.0 (2014-12-16)

New features::

* first test release

Improvements::

* None

Bug fixes::

* None
